commit a924be78686211bb1d3a04e8fdd37923be9dd540
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 18 09:10:46 2026 -0700

    xclock 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 50622fbe13e58895d101593d0187f7541bb7852d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 4 13:11:10 2026 -0700

    meson: include headers when checking for functions
    
    Trying to workaround https://github.com/mesonbuild/meson/issues/3740
    which causes meson to fail to detect missing functions in some cases.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/31>

commit 2338e0c61212725d4548406eb48e3fe7f9161d25
Author: Axel Svensson <mail@axelsvensson.com>
Date:   Mon Jun 29 02:57:16 2026 +0200

    Demonstrate configurable shapes in app-defaults
    
    Add two clock-face designs built on the configurable-shapes feature,
    alongside the existing XClock-color customization variant.
    
    - XClock-ampm: Coloured face with an AM/PM marker.
    - XClock-grandfather: Classic Grandfather-clock style.
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/30>

commit 0e3e9e064c1a9cef78a994da512206d28b93a4b1
Author: Axel Svensson <mail@axelsvensson.com>
Date:   Mon Jun 29 02:46:17 2026 +0200

    Do not call uselocale()
    
    !19 introduced a shape parser that called uselocale() to always read
    coordinates in the C locale. However, uselocale() is not available on
    NetBSD. Fix to use setlocale() instead.
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/29>

commit 22df9c94ad2c586772c23713f08d03fed0c3127f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 28 15:54:31 2026 -0700

    configure: update checked in copy of config.rpath
    
    Causes autogen.sh to fail with autoconf 2.73:
    autopoint: File config.rpath has been locally modified.
    autopoint: *** Some files have been locally modified. Not overwriting them because --force has not been specified. For your convenience, you find the local modifications in the file '/tmp/araAQm1n/gtPpIAV1/autopoint.diff'.
    autopoint: *** Stop.
    autoreconf: error: autopoint failed with exit status: 1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/28>

commit 8695506c946334854935ae7ce4c14ce9c2baddea
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 11 11:20:41 2026 -0800

    gitlab CI: drop the ci-fairy check-mr job
    
    The only thing this checked was the checkbox for allowing maintainers to
    edit the MR. Changed permissions checks now fail this job but luckily
    the setting it checked has been the default for years anyway so we can
    drop it.
    
    https://gitlab.freedesktop.org/freedesktop/ci-templates/-/issues/81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/28>

commit 98d715b01fdd7301c94ddb4a7b73de0331c31941
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 27 11:55:26 2026 -0700

    xclock 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e4c38731fa9082512dfcfa39b7a5f37572fa4d6e
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Tue May 26 09:10:41 2026 -0700

    Add missing include of xlocale.h for uselocale(3) et al
    
    Regressed-in: 389396848614c13994cf5d0eebf3107dbfbf7e7c
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit a7d5ef489ca6d9e4a74617cc375e3bbaec39f0c0
Author: Axel Svensson <mail@axelsvensson.com>
Date:   Fri Jan 27 22:55:41 2023 +0100

    Add -analog24
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/23>

commit fd4b44ea3b122cb15181242c4aa9ffc6b2674ca7
Author: Ken Cunningham <kencu@macports.org>
Date:   Mon Apr 6 10:36:51 2026 -0700

    meson.build: add dep_iconv to deps
    
    so meson will supply the needed linker flags
    when required
    
    closes: https://gitlab.freedesktop.org/xorg/app/xclock/-/work_items/6
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/24>

commit 389396848614c13994cf5d0eebf3107dbfbf7e7c
Author: Axel Svensson <mail@axelsvensson.com>
Date:   Wed May 7 12:31:36 2025 +0200

    Configurable shapes and AM/PM marker
    
    Allow configuring the shape of the hands and scale ticks by describing
    a set of triangles in 5 new X resources (hourShape, minuteShape,
    secondShape, majorShape and minorShape). The previous shapes are
    retained as default values.
    
    Add an AM/PM marker which by default does not appear. Its color and
    shape are configurable by 4 new X resources (amColor, pmColor, amShape
    and pmShape). Also add an X resources for whether to rotate the AM/PM
    marker along the hour hand (rotateAmpm).
    
    Add 3 "fixed" clock elements that do not rotate, allowing the user
    more freedom in designing the clock face. They are configurable using
    6 new X resources (fixed1Shape, fixed2Shape, fixed3Shape, fixed1Color,
    fixed2Color, fixed3Color).
    
    Allow configuring the Z order of clock elements in a new X
    resource (zOrder).
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/19>

commit 2a0f777046a7b96ec1ac32177762152de301024b
Author: Axel Svensson <mail@axelsvensson.com>
Date:   Tue May 27 08:18:01 2025 +0200

    Rename -circular to -proportional
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/19>

commit 33ed0f3e37da1473823cb79203937b418a6cee6b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 24 15:54:35 2025 -0700

    Fix xclock -update n with n < 0.0005 will crash or misbehave
    
    0 <= n < 0.0005 will crash with a Floating point exception,
    due to a divide_by_zero in time_intervals() when dividing by
    (int) (update * 1000.0 + 0.5)
    
    n < 0 will result in a nonworking clock.
    
    Reported-by: @itaych in #5
    Patch-provided-by: @itaych in #5
    Closes: #5
    Fixes: 8c6739b ("X.Org Bug 13537: bugs in UTF-8 handling and regularized tick updating")
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/22>

commit 6c50b356fa439c6b9e25332bc720a0db28505714
Author: Axel Svensson <mail@axelsvensson.com>
Date:   Sat May 24 00:27:56 2025 +0200

    Fix multi-byte character bug when skipping common prefix
    
    Fixes https://gitlab.freedesktop.org/xorg/app/xclock/-/issues/4
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/21>

commit b74c0734f5757d5ced6158c0ebbb15b9febc629a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 18 17:25:51 2025 -0700

    man page: fix warnings from `mandoc -T lint` and `groff -rCHECKSTYLE=10`
    
    mandoc: xclock.1:28:14: WARNING: cannot parse date, using it verbatim: TH xclock 1.1.1
    mandoc: xclock.1:152:2: WARNING: skipping paragraph macro: PP empty
    mandoc: xclock.1:216:2: WARNING: skipping paragraph macro: PP empty
    mandoc: xclock.1:288:2: WARNING: skipping paragraph macro: PP empty
    an.tmac:xclock.1:316: style: blank line in input
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/20>

commit 189aba19ddd87da78c2d3bf2a12621b9db260f0b
Author: Axel Svensson <mail@axelsvensson.com>
Date:   Mon Jan 30 09:49:38 2023 +0100

    Add -circular
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/18>

commit 3f976161fc56b0a74248955043105aabf306e984
Author: Axel Svensson <mail@axelsvensson.com>
Date:   Thu May 8 12:50:52 2025 +0200

    Improve man page
    
    - Add x resource example, one for each class
    - Detail that foreground is not used under Xrender.
    
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/17>

commit 9652c07f554ef061f9b44a7ba00a54c786b8272f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 30 10:43:01 2025 -0700

    Improve man page formatting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/16>

commit ad90e81af68c5223f76f40b4efd67423787e6ff8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 23 15:11:19 2025 -0700

    Add -help and -version options
    
    Accepts --help & --version as aliases
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/16>

commit 9c35784bca53d31dd7773413860725b28bec2be2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 23 14:59:21 2025 -0700

    Report unknown argument that caused error before printing usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/16>

commit 28e10bd26ac7e02fe8a4fb8016bb115f8d664032
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 2 15:45:43 2025 -0800

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/15>

commit 7e2f06430cc4f38b44c46091c2d97a33eb35d3d9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 11 12:53:57 2024 -0800

    Mark pointers const as suggested by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/14>

commit 26d0038b53e8c7ef6223b15d0e00f3a5d677f4bf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 11 12:30:42 2024 -0800

    Clock.c: remove unused definitions of PI & TWOPI
    
    Clears warnings from clang 13:
    
    Clock.c:120:9: warning: macro is not used [-Wunused-macros]
    #define PI                      3.14159265358979
            ^
    Clock.c:121:9: warning: macro is not used [-Wunused-macros]
    #define TWOPI                   (2. * PI)
            ^
    
    Fixes: RCS revision 1.61 dated July 19, 1991
    ("eliminate use of sin() and cos() from the math library")
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/14>

commit 6e3c02b128b58a5e6d0739589b5b00d695a42cf2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 11 12:23:43 2024 -0800

    Clock.c: fix two -Wextra-semi-stmt warnings
    
    Wrap donestr() macro definition in `do ... while (0)` to clear
    up warnings from clang 13:
    
    Clock.c:413:45: warning: empty expression statement has no effect;
     remove unnecessary ';' to silence this warning [-Wextra-semi-stmt]
        donestr(XftColor, xftColor, XtRXftColor);
                                                ^
    
    Clock.c:462:45: warning: empty expression statement has no effect;
     remove unnecessary ';' to silence this warning [-Wextra-semi-stmt]
            donestr(XftFont *, font, XtRXftFont);
                                                ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xclock/-/merge_requests/14>

commit 331c8ce0b931f84bcfa0ca9e8cbbe67d9bda0c24
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 25 08:57:33 2023 -0800

    Remove "All rights reserved" from Oracle copyright notices
    
    Oracle no longer includes this term in our copyright & license notices.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 592d26778b60856f95b6586f530179fad17ca35d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a1202e71763cfc6aad4ade6e0dda4ac78b857e27
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 7 13:36:13 2022 -0700

    xclock 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f2acb1dbd75605d64f07740df2d83e73fe1b2ec3
Author: Thomas Kuehne <thomas@kuehne.cn>
Date:   Sat Dec 11 18:00:11 2021 +0100

    fix -Wabsolute-value compiler warning
    
    fixes:
    Clock.c:2011:14: warning: using integer absolute value function ‘abs’ when argument is of floating-point type ‘float’ [-Wabsolute-value]
     2011 |             (abs(new->clock.update) <= SECOND_HAND_TIME);
          |              ^~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e075308dccafb6f813ba0a8646b73860a7447a01
Author: Thomas Kuehne <thomas@kuehne.cn>
Date:   Sat Dec 11 17:56:39 2021 +0100

    fix -Wmissing-field-initializers warning
    
    fixes:
    Clock.c:269:6: warning: missing initializer for field ‘extension’ of ‘SimpleClassPart’ [-Wmissing-field-initializers]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 96934f4472f10a1e5fcf53f6cbb9c88d743fa520
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 4 16:51:04 2022 -0700

    Fall back to sin() and cos() calls on systems without sincos()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7126b722a055545d25291cd10076f4c3fe52f039
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 14:21:37 2022 -0700

    xclock 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 65f9bee07f98d384068339bff025cf50d3cecead
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 10:50:42 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3b719d3587d3f8547eff584d949385c3f1926ed0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 10:50:39 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8078de47f573fe60ee171647d23b9a097e818cc9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 11:28:07 2021 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 866881cde2f973b50dc2a9279f2a85611ec23974
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 1 16:28:13 2021 -0700

    Fix build on Solaris
    
    Solaris 11 has sqrt() in libc but needs to link with libm for sincos()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 30be448a408bf8543047008ef823321016b73132
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 15 23:24:30 2021 -0700

    Update hands smoothly in Render mode
    
    Draw hour and minute hand every time the clock repaints, placing them
    at the correct position for the current time.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ff94d3f086479724261b764b11a0012f5e6cdc63
Author: rees4905 <jim@rees.org>
Date:   Fri Jun 12 22:27:10 2020 -0500

    man: Indicate that -twelve & -twentyfour only affect brief display
    
    Signed-off-by: rees4905 <jim@rees.org>

commit 03dba28ffd633839e57af748edae07a2c8b06398
Author: rees4905 <jim@rees.org>
Date:   Sun Jun 7 21:47:45 2020 -0500

    re-indent Clock.c
    
    Signed-off-by: rees4905 <jim@rees.org>

commit 755004c87b50e6334c07b0f4b9458a32b8c92566
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 14 11:34:07 2019 -0700

    xclock 1.0.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0172a3b11f777692ea06c1f3718390ce06b3dcd4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 9 15:06:32 2019 -0700

    Clear -Wsign-compare warning from gcc 7.3
    
    xclock.c: In function ‘quit’:
    xclock.c:133:27: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      event->xclient.data.l[0] != wm_delete_window) {
                               ^~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8ef7efe5863ecf6d578900e8ca7398fc10cd566a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 9 15:04:53 2019 -0700

    Use _CONST_X_STRING to make libXt declare String as const char *
    
    Clears up 31 of 95 gcc -Wdiscarded-qualifiers warnings from gcc 7.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 683d3c0cf8c86fb6626e9e85fc0bb99a27833280
Author: Jon Turney <jon.turney@dronecode.org.uk>
Date:   Sat May 4 01:25:22 2019 +0100

    Consistently use X_GETTIMEOFDAY
    
    After 7ad730d8, use X_GETTIMEOFDAY() in Initialize() as well as
    clock_tic(), to fix compilation on non-POSIX systems where the
    gymnastics that X_GETTIMEOFDAY does are necessary (i.e. Win32)

commit d528eca772620bc06c182e03265fc5f70a4d35f7
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Wed Feb 27 15:25:28 2019 +0100

    Use fabsf when dealing with floating point numbers

commit a212539500a17f265815e77b9a6047279824315f
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Wed Feb 27 15:22:41 2019 +0100

    Fix logic sourrouning && and ||
    
    Fix the logic sorrounding && and ||.  && has higher precedence than ||,
    and as such, the if statement probably was incorrect.  Fix this by
    adding parenthesises around the || statement.

commit 9af0790d71fc321d97486aa40b055656d99050c2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 19 14:12:54 2019 -0800

    xclock 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a646aa84a8892b091bc7b7b24cfa89f8e628ec0e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 6 15:05:13 2019 -0800

    Replace remaining sprintf calls with snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 62a8e169e13c218dd43e245eea959562769d9ffa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:59:51 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1297c089414cb17e684803739f47d9dd9ff5dbe6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 21:14:58 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7ad730d892c899df3bb0b51a757ff2c55b6dc6d1
Author: Keith Packard <keithp@keithp.com>
Date:   Sat May 13 23:48:55 2017 -0700

    Allow sub-second updates.
    
    Lets you run the clock at whatever tick rate you like.
    
    Note that this changes the behaviour of the clock when the update
    isn't a divisor of the number of seconds in a day. In the old code,
    the time to display was an integer number of intervals from the start
    of the year, in the new code, it is an integer number of intervals
    from the start of the day.
    
    I like that better as it makes the seconds consistent from day to day,
    even if it means an uneven tick at local midnight. Given that I
    suspect no-one has ever done this in practice, I doubt it really
    matters.
    
    At least the code is simpler now, while supporting updates at the
    level of the Xt timers, which are milliseconds.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9fa28e7fe8dc5e883211b29031446b42cbffe31f
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 436544737f6a2e4f9669517207db62578cf2917c
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6773417208468060d57c90225009f6f3fab4e244
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 4697248c5a3e2aa505eceadd45f17554d4424aff
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Sun Sep 14 18:08:55 2014 +0100

    No point in trying to use iconv if we don't have nl_langinfo
    
    This fixes the build for MinGW
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: David Macek <david.macek.0@gmail.com>

commit 67382af06d38fdfd7f08c2bae30a7d5f1bb3fe89
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:12:53 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a135ec20812ae83c8afc0d7ce6d8f3f15c4aeafe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:12:53 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0574c56ea9107eab2597b830bc95e3d62e876060
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:12:48 2014 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 66a2f29e7c649d1eb4079910b0211ffdf7dbbd4d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 7 23:33:09 2013 -0700

    xclock 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1ac04613b566ba0dde29a16f3ac409832f32d74e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 18 21:02:55 2013 -0700

    Combine usage message strings & print them to stderr, not stdout
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 61f95e11eef3fbfb9060a32233df13c35115a6f3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 18 20:59:01 2013 -0700

    Add noreturn attributes suggested by -Wmissing-noreturn
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 52bbd1ce31f1adf2b7145b9d6183f6b866fa9301
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 18 20:50:17 2013 -0700

    Store sine & cosine tables as doubles instead of floats
    
    Since they're used as doubles in the calculations, might as well store them
    that way instead of converting when read from the table at runtime.
    
    Costs about 4k more storage in the binary for the doubled tables.
    
    Also gets rid of 900 clang warnings, of the form:
    
    Clock.c:1708:11: warning: implicit conversion loses floating-point precision:
          'double' to 'float' [-Wconversion]
    0.000000, 0.001745, 0.003490, 0.005235, 0.006981, 0.008726, 0.010471, 0.012217,
    
    (one for each table entry)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 69de4eaa3be6cc177eb53a4754cb6bd35340c585
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Thu Aug 23 06:15:01 2012 -0400

    Don't rely on being able to set tab stops.
    Signed-off-by: Eric S. Raymond <esr@thyrsus.com>

commit cd184e2f1a6f8f4f9178d29e43dc08d1534504e3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 10 22:03:24 2012 -0800

    xclock 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 251461d84de4220f05ffa35a3138aad1cd2e0302
Author: Peter Stuge <peter@stuge.se>
Date:   Thu Aug 26 04:14:27 2010 +0200

    Calculate text and window size from LC_CTYPE instead of LC_TIME
    
    LC_TIME only defines what will be displayed, LC_CTYPE is what defines
    the character encoding.
    
    References:
    
      Bug 15903 - LANG=en_US xclock -digital -font fixed has wrong size
      https://bugs.freedesktop.org/show_bug.cgi?id=15903
    
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 45e936174e39637c09cd10c0a5c6f8752ee2d709
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Aug 23 19:05:20 2011 -0500

    Use AM_ICONV
    
    AC_SEARCH_LIBS does not detect GNU libiconv because its symbols are
    exported in the "libiconv" namespace instead of "iconv".  The AM_ICONV
    macro correctly detects both glibc and GNU libiconv, defines HAVE_ICONV,
    ICONV_CONST, and LIBICONV depending on the system.  The config.rpath
    file is required by this macro.
    
    This adds a dependency on the aclocal macros from gettext (gettext-devel
    in some distros) when building from git, but not when building from a
    tarball.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 27e10658010d314b40dfc9403a92864b26a9d576
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5f26fbf5384ec03260edfa7d2bd8b39fde380d5b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 64a5168667d30cfac2f6c6038a3b095b824580ac
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 0c5674fe5c12ae4258b23bf6d9cdbaac443162b7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8e2adc61b09ca2a2959ed96091b2a49d306339fe
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:12:08 2011 -0500

    config: remove unrequired AC_SUBST([*_LIBS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4995928a94c7cc2a295fbdf36d9949ae8f444cf6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:33:47 2011 -0500

    config: remove unrequired AC_SUBST([*_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b7b7a6c4b9227c7b429362c8ef232bf06cea57d1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:10:21 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c37ee6e4b42776b6dd4147db6022c574e68288b7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:54:40 2011 -0500

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8 or later
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 97110e50013fc5735c6220f559588b0be9a8b821
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 18:34:13 2010 -0700

    xclock 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 051b0f943db06ee56349dc6a03735f4b4d3f6e0f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b5ce0b4f7e7b36451872df82c37251fc3d860de4
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Aug 26 08:23:41 2010 -0700

    Remove extraneous  reference to HAS_STRLCAT
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit eefa040512ec291da7cc537774e14d24801b784e
Author: David Coppa <dcoppa@gmail.com>
Date:   Thu Jul 29 21:46:11 2010 +0200

    Fix a crash on sparc64.
    
    The pid variable that is passed to XChangeProperty() is not a long.
    The libX11 code deferences the variable as a long and on a 64-bit sparc
    this must be aligned on a 8-byte boundary.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed35a91ebdbe54befb003599364434193d5c8078
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 1 16:50:16 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cd064a06a4d87c1acb890a0b0f2a543c0e90116b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 1 16:46:54 2010 -0700

    Xmu functions are called directly, so include it in PKG_CHECK_MODULES
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7b8ac4d10c8d745750a015ad50e07d5e3ef704fa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 30 23:25:03 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3f3532422225e23114427ad6f1fbc039e60b64c9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 13:05:38 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit bf3695b37628fda8b06fc5363123cf25c77fe76e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Dec 19 20:48:47 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ee1225481c1c5fe7b6fb9093df5fe4ae9f490e9e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:53 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit baf85e944fbd238586805293025a11f62ee56683
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 795cd3133fd861d8aa987c76b1227befc641fd17
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit ff0358b1b151f2f07d6bf4345ef32769dab96365
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 742033062d0153f8e5dcf1214ac904131a27c2cb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 30db8ad3c045a4fbcff171435bb8e56ed792a5ec
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 28 08:31:17 2009 +1000

    Add INSTALL to .gitignore. (#24157)
    
    Avoids git error "fatal: Untracked working tree file 'INSTALL' would be
    overwritten by merge." when switching between pre-1.0.4 and now.
    
    X.Org Bug 24157 <http://bugs.freedesktop.org/show_bug.cgi?id=24157>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 779dd2f2af9a65f96b741c2692d7055bf5970969
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 21 21:05:16 2009 -0700

    xclock 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b88a85d9021d2e895205ecbe393786d989302cd8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 21 20:59:48 2009 -0700

    Fill in COPYING file
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 1a1c157c7abccc03a37c26e63ad923fd7dfecc5c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 21 20:54:04 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8b1af8f1ef0d7cce970a05fe36b7e8e63aa18068
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 21 20:51:06 2009 -0700

    Trim trailing whitespaces
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ce8173a20046c9c21ccfcea45daa0647905c1714
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 21 20:47:35 2009 -0700

    Add pointers to mailing list, bugzilla, wiki & git repo to README
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 82d76c4efcae92709aa07ec9e653f73076f43ebf
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 13 16:26:42 2009 -0200

    Ansification and compile warning fixes.
    
